#!/usr/bin/env bash
#
# Copyright 2012 Zemian Deng
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#    http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# This is a wrapper script to invoke Hibernate SchemaExport Tool.
# Created by: Zemian Deng 06/01/2012
#
# See http://docs.jboss.org/hibernate/orm/4.1/manual/en-US/html/ch22.html#d5e9621
#
# Too's options:
# --quiet	do not output the script to stdout
# --drop	only drop the tables
# --create	only create the tables
# --text	do not export to the database
# --output=my_schema.ddl	output the ddl script to a file
# --naming=eg.MyNamingStrategy	select a NamingStrategy
# --config=hibernate.cfg.xml	read Hibernate configuration from an XML file
# --properties=hibernate.properties	read database properties from a file
# --format	format the generated SQL nicely in the script
# --delimiter=;	set an end of line delimiter for the script

DIR=$(dirname $0)
SCHEDULER_HOME=$DIR/..
$DIR/run-java org.hibernate.tool.hbm2ddl.SchemaExport "$@"